org.richfaces.event

## Class ItemChangeEvent

- java.lang.Object
- - java.util.EventObject
  - - javax.faces.event.FacesEvent
    - - org.richfaces.event.ItemChangeEvent

- All Implemented Interfaces:
    Serializable

      public class ItemChangeEvent
      extends javax.faces.event.FacesEvent

  A `ItemChangeEvent` is a ...

  Since:
    -4712-01-01
  Version:
    1.0
  Author:
    akolonitsky
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ItemChangeEvent(javax.faces.component.UIComponent component, String oldItemName, javax.faces.component.UIComponent oldItem, String newItemName, javax.faces.component.UIComponent newItem)` Construct a new event object from the specified source component, old value, and new value.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.faces.component.UIComponent` | `getNewItem()`
    `String` | `getNewItemName()`
    `javax.faces.component.UIComponent` | `getOldItem()`
    `String` | `getOldItemName()`
    `boolean` | `isAppropriateListener(javax.faces.event.FacesListener listener)`
    `void` | `processListener(javax.faces.event.FacesListener listener)`

    - ### Methods inherited from class javax.faces.event.FacesEvent

      `getComponent, getPhaseId, queue, setPhaseId`

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ItemChangeEvent

          public ItemChangeEvent(javax.faces.component.UIComponent component,
                                 String oldItemName,
                                 javax.faces.component.UIComponent oldItem,
                                 String newItemName,
                                 javax.faces.component.UIComponent newItem)

      Construct a new event object from the specified source component, old value, and new value.

      The default `PhaseId` for this event is `PhaseId.ANY_PHASE`.

      Parameters:
        `component` - Source `UIComponent` for this event
        `oldItemName` -
        `newItemName` -
      Throws:
        `IllegalArgumentException` - if `component` is `null`

  - ### Method Detail

    - #### getOldItemName

          public String getOldItemName()

    - #### getNewItemName

          public String getNewItemName()

    - #### getOldItem

          public javax.faces.component.UIComponent getOldItem()

    - #### getNewItem

          public javax.faces.component.UIComponent getNewItem()

    - #### isAppropriateListener

          public boolean isAppropriateListener(javax.faces.event.FacesListener listener)

      Specified by:
        `isAppropriateListener` in class `javax.faces.event.FacesEvent`

    - #### processListener

          public void processListener(javax.faces.event.FacesListener listener)

      Specified by:
        `processListener` in class `javax.faces.event.FacesEvent`
      Throws:
        `javax.faces.event.AbortProcessingException`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.